CGAL 6.1.2 - 3D Point Set: Input/Output (LAS)

CGAL 6.1.2 - 3D Point Set

Loading...
Searching...
No Matches
Functions
Input/Output (LAS)
Reference Manual » Input/Output

##

I/O Functions for the LAS (Lidar) File Format.

## Functions
template<typename Point , typename Vector >
bool | CGAL::IO::read_LAS (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
| reads the content of an input stream in the LAS (Lidar) File Format into a point set.
template<typename Point , typename Vector >
bool | CGAL::IO::read_LAS (const std::string &fname, CGAL::Point_set_3< Point, Vector > &point_set)
| reads the content of an input file in the LAS (Lidar) File Format into a point set.
template<typename Point , typename Vector >
bool | CGAL::IO::write_LAS (std::ostream &os, CGAL::Point_set_3< Point, Vector > &point_set)
| writes the content of a point set into an output stream in the LAS (Lidar) File Format.
template<typename Point , typename Vector >
bool | CGAL::IO::write_LAS (const std::string &fname, CGAL::Point_set_3< Point, Vector > &point_set)
| writes the content of a point set into an output file in the LAS (Lidar) File Format.

## Function Documentation

## ◆ read_LAS() [1/2]

template<typename Point , typename Vector >

bool CGAL::IO::read_LAS | ( | const std::string & | fname,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/LAS.h>`

reads the content of an input file in the LAS (Lidar) File Format into a point set.

Parameters

  fname | the path to the input file
  point_set | the point set

Note
  All LAS properties are read as described in `read_LAS_with_properties()`.

Returns
  `true` if the reading was successful, `false` otherwise.

## ◆ read_LAS() [2/2]

template<typename Point , typename Vector >

bool CGAL::IO::read_LAS | ( | std::istream & | is,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/LAS.h>`

reads the content of an input stream in the LAS (Lidar) File Format into a point set.

Attention
  To read a binary file, the flag `std::ios::binary` must be set during the creation of the `ifstream`.

Parameters

  is | the input stream
  point_set | the point set

Note
  All LAS properties are read as described in `read_LAS_with_properties()`.

Returns
  `true` if the reading was successful, `false` otherwise.

## ◆ write_LAS() [1/2]

template<typename Point , typename Vector >

bool CGAL::IO::write_LAS | ( | const std::string & | fname,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/LAS.h>`

writes the content of a point set into an output file in the LAS (Lidar) File Format.

Template Parameters

  Point | the point type of the `Point_set_3`
  Vector | the vector type of the `Point_set_3`

Parameters

  fname | the path to the output file
  point_set | the point set

Note
  All LAS properties are written as described in `read_LAS_with_properties()`.

Returns
  `true` if the writing was successful, `false` otherwise.

## ◆ write_LAS() [2/2]

template<typename Point , typename Vector >

bool CGAL::IO::write_LAS | ( | std::ostream & | os,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/LAS.h>`

writes the content of a point set into an output stream in the LAS (Lidar) File Format.

Attention
  To write to a binary file, the flag `std::ios::binary` must be set during the creation of the `ofstream`.

Template Parameters

  Point | the point type of the `Point_set_3`
  Vector | the vector type of the `Point_set_3`

Parameters

  os | the output stream
  point_set | the point set

Note
  All LAS properties are written as described in `read_LAS_with_properties()`.

Returns
  `true` if the writing was successful, `false` otherwise.